import request from '@/utils/request'

// 查询购物车列表
export function listMallMemberCart(query) {
  return request({
    url: '/mall/mallMemberCart/list',
    method: 'get',
    params: query
  })
}

// 查询购物车详细
export function getMallMemberCart(id) {
  return request({
    url: '/mall/mallMemberCart/' + id,
    method: 'get'
  })
}

// 新增购物车
export function addMallMemberCart(data) {
  return request({
    url: '/mall/mallMemberCart',
    method: 'post',
    data: data
  })
}

// 修改购物车
export function updateMallMemberCart(data) {
  return request({
    url: '/mall/mallMemberCart',
    method: 'put',
    data: data
  })
}

// 删除购物车
export function delMallMemberCart(id) {
  return request({
    url: '/mall/mallMemberCart/' + id,
    method: 'delete'
  })
}

// 导出购物车
export function exportMallMemberCart(query) {
  return request({
    url: '/mall/mallMemberCart/export',
    method: 'get',
    params: query
  })
}